#include "TclListUtils.h"

Tcl_Obj *
Tksesh_NewTclKeyword(char * key)
{
	return Tcl_NewStringObj(key, strlen(key));
}

Tcl_Obj *
Tksesh_NewTclSingleton(Tcl_Obj * s)
{
	Tcl_Obj *sub[1];
	sub[0]= s;
	return Tcl_NewListObj(1,sub);
}

Tcl_Obj *
Tksesh_NewTclCouple(Tcl_Obj * a, Tcl_Obj *b)
{
	Tcl_Obj *sub[2];
	sub[0]= a;
	sub[1]= b;
	return Tcl_NewListObj(2, sub);
}

Tcl_Obj *
Tksesh_NewTclTriplet(Tcl_Obj * a, Tcl_Obj *b, Tcl_Obj *c)
{
	Tcl_Obj *sub[3];
	sub[0]= a;
	sub[1]= b;
	sub[2]= c;
	return Tcl_NewListObj(3, sub);
}


/*
 * Local Variables:
 * header: "seshaux.h"
 * tab-width: 2
 * End:
 */
