##############################################################################
#
# Graphic guides
# Elements which control point placement
# Only activated guides are used for this.
#
##############################################################################

class GraphGuide {
    proc GraphGuide {this window} {
	set ($this,active) 0
    }
    
    proc getActive {this} {
	return $GraphGuide::($this,active)
    }
    
    proc setActive {this v} {
	set GraphGuide::($this,active) $v
    }

    proc toggleActive {this} {
	setActive $this [expr 1 - [getActive $this]]
    }

    virtual proc attract {this point}
}
