
lappend auto_path /home/rosmord/tksesh/tcllib

package require stooop
namespace import stooop::*
package require myStoopWidgets


set t [new STopLevel top]
Component::create $t

set b [new SButton $t -auto -command "puts hello;  delete $t" -text go]
Component::create $b

pack [Component::getPath $b]

set t [new STopLevel ""]

set n [Component::buildNewComponent SNoteBook $t -auto]
pack [Component::getPath $n]

set tab1 [SNoteBook::insert $n end -text a]
set tab2 [SNoteBook::insert $n end -text b]

set t1 [Component::buildNewComponent SText $tab1 -auto]
pack [Component::getPath $t1]

SNoteBookPage::raise $tab1

# Test du pattern Observateur :

class Toto {
    proc Toto {this parent} SLabel {$parent -auto -takefocus 1 -textvariable Toto::($this,value)} Observable {} {
	set ($this,value) 0
    }

    proc ~Toto {this} {
    }

    proc getValue {this} {
	return $($this,value)
    }

    virtual proc creatorHook {this} {
	SLabel::_creatorHook $this
	Component::bind $this <Enter> {Toto::incremente %O}
	eval puts $[[Component::getPath $this] cget -textvariable]
    }

    proc incremente {this} {
	puts "on incrmente"
	incr ($this,value)
	Observable::notify $this "increment"
    }
}

class Titi {
    proc Titi {this parent toto} SLabel {$parent -auto} Observer {} {
	Observable::add $toto $this
	set ($this,modele) $toto
    }
    
    virtual proc update {this observable msg} {
	puts "$this a reu $msg"
	Component::cset $this text [Toto::getValue $($this,modele)]
    }

    proc ~Titi {this} {
	puts "on detruit titi = $this"
    }
}


set t [Component::buildNewComponent STopLevel top1]

set toto [Component::buildNewComponent Toto $t]
set v1 [Component::buildNewComponent Titi $t $toto]
set v2 [Component::buildNewComponent Titi $t $toto]
set v3 [Component::buildNewComponent Titi $t $toto]
set v4 [Component::buildNewComponent Titi $t $toto]
set v5 [Component::buildNewComponent Titi $t $toto]
set b [Component::buildNewComponent SButton $t -auto -command "detruireTotoAndCo $t" -text "out"]

pack [Component::getPath $toto]

foreach i [list $v1 $v2 $v3 $v4] {
    pack [Component::getPath $i]
}

proc detruireTotoAndCo {top} {
    puts "on detruit top : $top"
    delete $top
}

pack [Component::getPath $b]





    
