#
# Global interface for sesh SQL DB.
#

package provide tclSQLDB 1.0
package require sqlite

# SINGLETON class ????
class SQLDB {
    set (sgl) 0
    
    proc SQLDB {this filePath} {
	set ($this,opened) 0
	set ($this,filePath) $filePath
    }

    proc ~SQLDB {this} {
	if {$($this,opened)} {
	    close $this
	}
    }
    
    proc getFilePath {this} {
	# Hard-coded by now
	return $($this,filePath)
    }

    proc isOpened {this} {
	return $($this,opened)
    }

    proc open {this} {
	if {! [isOpened $this]} {
	    set ($this,db) "SQLDB$this"
	    sqlite $($this,db) [getFilePath $this]
	    set ($this,opened) 1
	}
    }

    proc close {this} {
	[getDBCMD $this] close
	set ($this,opened) 0
    }

    proc getDBCMD {this} {
	if {! [isOpened $this]} {
	    open $this
	}
	return $($this,db)
    }

    proc update {this sql} {
	#puts "update command : $sql"
	[getDBCMD $this] eval $sql
    }

    proc select {this sql} {
	#puts "select command : $sql"
	return [[getDBCMD $this] eval $sql]
    }

    proc lastRowID {this} {
	return [[getDBCMD $this] last_insert_rowid]
    }

    proc protectText {text} {
	return [string map {' ''} $text]
    }
}
