/*
  Data global to all tksesh widget is centralised in this structure
*/
#include "bfont.h"

struct GetSignFunction {
  Tcl_Obj * callBack;		/* name of a function which is called when a sign is not found */
  Tcl_Interp * interp;
};

struct tksesh_global {
  int nfonts;			/* number of defined fonts */
  Tcl_HashTable * fonts;
  Tcl_HashTable *ligatures; 
  struct GetSignFunction f;	/* we'd better use a pointer here. */
};

struct tksesh_global *
tksesh_get_global();


