#!/bin/sh
# \
exec wish8.4 $0

set env(SESHLIB) /home/rosmord/Prog/tksesh/tcllib
set SESHLIB $env(SESHLIB)

lappend auto_path $SESHLIB

package require stooop
namespace import stooop::*

package require tclSQLDB
package require tkDB

# Examples of use of datasources
set db [new SQLDB dico.db]

#set s [new DataSource $db "select * from students where class = :fixedClass:"]
#set s [DataSource::buildTableDataSource $db "dico" {} {translit t english t}]
set s [new DataSource $db "select english, translit from dico order by english"]

DataSource::setResultKeptInMemory $s 1
DataSource::setDefault $s translit "?"
DataSource::setDefault $s english "?"
#DataSource::declareExternal $s {start t}
#DataSource::setFilter $s "WHERE translit >= :start: order by translit"

# validate
DataSource::refresh $s

set t [new STopLevel ""]

set t2 [Component::buildNewComponent BDBBrowser $t -auto $s {english} -takefocus 1]
set t1 [Component::buildNewComponent BDBBrowser $t -auto $s {translit} -takefocus 1]

grid columnconfigure . 0 -weight 1
grid rowconfigure . 0 -weight 1

grid  [Component::getPath $t1] [Component::getPath $t2]  -sticky news

#grid [Component::getPath $sw]

