#!/usr/local/TCL84/bin/wish8.4

set env(SESHLIB) /home/rosmord/Prog/tksesh/tcllib
set SESHLIB $env(SESHLIB)

lappend auto_path $SESHLIB

package require stooop
namespace import stooop::*

package require tclSQLDB
package require tkDB


# Examples of use of datasources
set db [new SQLDB dico.db]

#set s [new DataSource $db "select * from students where class = :fixedClass:"]
set s [DataSource::buildTableDataSource $db "dico" {} {translit t english t}]

DataSource::setResultKeptInMemory $s 0
DataSource::setDefault $s translit "?"
DataSource::setDefault $s english "?"
# validate
DataSource::refresh $s

set t [new STopLevel ""]

set sw [Component::buildNewComponent SScrolledWindow $t -auto]
#set f1 [new BDBField $t -auto $s "name"]

#set t0 [Component::buildNewComponent BDBTableList $t -auto $s {translit english} -activestyle frame -takefocus 1]
set t0 [Component::buildNewComponent BDBListBox $t -auto $s {translit} -takefocus 1]
set nav [Component::buildNewComponent BDBNavigator $t -auto $s]

grid columnconfigure . 0 -weight 1
grid rowconfigure . 0 -weight 1

SScrolledWindow::setWidget $sw $t0

#scrollbar .ysb -orient vertical -command [list BDBListBox::yview $t0]

#BDBListBox::attachScrollBar $t0 .ysb
#BDBListBox::notifyScrollBar $t0

#grid [Component::getPath $t0] .ysb -sticky news
grid [Component::getPath $sw] -sticky news
grid [Component::getPath $nav] - -sticky ew


#grid [Component::getPath $sw]

